SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `predesys-server`
--

DROP TABLE IF EXISTS `address_log_dates`;
DROP TABLE IF EXISTS `address_log`;
DROP TABLE IF EXISTS `addresses`;
DROP TABLE IF EXISTS `service_permissions`;
DROP TABLE IF EXISTS `services`;
DROP TABLE IF EXISTS `service_types`;
DROP TABLE IF EXISTS `users`;
DROP TABLE IF EXISTS `user_groups`;

-- --------------------------------------------------------

--
-- Table structure for table `addresses`
--

CREATE TABLE IF NOT EXISTS `addresses` (
  `address` varchar(100) NOT NULL,
  `user_id` varchar(50) NOT NULL,
  PRIMARY KEY (`address`,`user_id`),
  KEY `addresses_address_index` (`address`),
  KEY `addresses_userid_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `addresses`
--


-- --------------------------------------------------------

--
-- Table structure for table `address_log`
--

CREATE TABLE IF NOT EXISTS `address_log` (
  `address` varchar(100) NOT NULL,
  `station_user_id` varchar(50) NOT NULL,
  `log_datetime` varchar(100) NOT NULL,
  PRIMARY KEY (`address`,`station_user_id`,`log_datetime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `address_log`
--


-- --------------------------------------------------------

--
-- Table structure for table `address_log_dates`
--

CREATE TABLE IF NOT EXISTS `address_log_dates` (
  `last_mod_date` varchar(100) NOT NULL,
  PRIMARY KEY (`last_mod_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `address_log_dates`
--


-- --------------------------------------------------------

--
-- Table structure for table `services`
--

CREATE TABLE IF NOT EXISTS `services` (
  `id` varchar(50) NOT NULL,
  `version` varchar(100) DEFAULT NULL,
  `service_type_id` varchar(50) DEFAULT NULL,
  `authenticated` int(1) NOT NULL,
  `enabled` int(1) NOT NULL,
  `file_path` varchar(500) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `author` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `services_servicetypeid_index` (`service_type_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `services`
--

INSERT INTO `services` (`id`, `version`, `service_type_id`, `authenticated`, `enabled`, `file_path`, `name`, `author`) VALUES
('radar', NULL, 'core-callable', 1, 1, 'radar.py', 'Radar', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `service_permissions`
--

CREATE TABLE IF NOT EXISTS `service_permissions` (
  `service_id` varchar(50) NOT NULL,
  `user_group_id` varchar(50) NOT NULL,
  PRIMARY KEY (`service_id`,`user_group_id`),
  KEY `servicepermissions_serviceid_index` (`service_id`),
  KEY `servicepermissions_usergroupid_index` (`user_group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `service_permissions`
--

INSERT INTO `service_permissions` (`service_id`, `user_group_id`) VALUES
('radar', 'station');

-- --------------------------------------------------------

--
-- Table structure for table `service_types`
--

CREATE TABLE IF NOT EXISTS `service_types` (
  `id` varchar(50) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `service_types`
--

INSERT INTO `service_types` (`id`, `name`) VALUES
('core-callable', 'System Callable Services'),
('user-auto', 'User Automatic Services'),
('user-callable', 'User Callable Services');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` varchar(50) NOT NULL,
  `user_group_id` varchar(50) DEFAULT NULL,
  `enabled` int(1) NOT NULL,
  `passwd` varchar(100) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `users_usergroupid_index` (`user_group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `user_group_id`, `enabled`, `passwd`, `name`, `email`) VALUES
('admin', 'admin', 1, '21232f297a57a5a743894a0e4a801fc3', 'Administrator', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `user_groups`
--

CREATE TABLE IF NOT EXISTS `user_groups` (
  `id` varchar(50) NOT NULL,
  `name` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `user_groups`
--

INSERT INTO `user_groups` (`id`, `name`) VALUES
('admin', 'Administrators'),
('client', 'Clients'),
('station', 'Bluetooth Stations');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `addresses`
--
ALTER TABLE `addresses`
  ADD CONSTRAINT `addresses_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `services`
--
ALTER TABLE `services`
  ADD CONSTRAINT `services_ibfk_1` FOREIGN KEY (`service_type_id`) REFERENCES `service_types` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Constraints for table `service_permissions`
--
ALTER TABLE `service_permissions`
  ADD CONSTRAINT `service_permissions_ibfk_1` FOREIGN KEY (`service_id`) REFERENCES `services` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `service_permissions_ibfk_2` FOREIGN KEY (`user_group_id`) REFERENCES `user_groups` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `users`
--
ALTER TABLE `users`
  ADD CONSTRAINT `users_ibfk_1` FOREIGN KEY (`user_group_id`) REFERENCES `user_groups` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;
